//=====================================================================================
// Epreuve complementaire 5
// Carte controleur de matrice de LEDs
// Wegrzyn Nicolas
//=====================================================================================

//=====================================================================================
// Librairies
//=====================================================================================

#include "stdio.h"
#include "spi.h"
#include <stdint.h>
#include <avr/io.h>
#include <avr/interrupt.h> 
#include <util/delay.h> 

//=====================================================================================
// Initialisation du bus SPI
//=====================================================================================

int init_spi (void){
	// Declare MISO en tant qu'entree
	DDRB &= ~(1<<PB4)

	// Declare MOSI, SCK et CS en tant que sortie
	DDRB |= (1<<PB3)|(1<<PB5)|(1<<PB2); 

	// Active la connexion SPI et le master
	// SPR0 et SPR0 sont à 1, la frequence de SCK sera : clk/128 = 125 kHz
	SPCR |= (1<<SPE)|(1<<MSTR)|(1<<SPR1)|(1<<SPR0) 

	while(1){
		// Registre des donnees
		SPDR = data;

		// Attend que la transmission soit complete
		while(!(SPSR & (1<<SPIF)));
	}
}

